library reports_page_wrapper;

import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import '../../../../core/di/injection_container.dart';
import '../bloc/reports_bloc.dart';
import 'reports_page.dart';

/// Wrapper qui fournit le ReportsBloc à la ReportsPage
class ReportsPageWrapper extends StatelessWidget {
  const ReportsPageWrapper({super.key});

  @override
  Widget build(BuildContext context) {
    return BlocProvider<ReportsBloc>(
      create: (_) => sl<ReportsBloc>(),
      child: const ReportsPage(),
    );
  }
}
